<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_LOG_LEVEL" value="verbose" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="e0229107-7691-407d-aa9f-10932576eeaf" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="Pixel_2_XL_API_27" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view />
      </state>
    </system>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="ProjectId" id="1lmcENTi4ztYVbamjeMcl0E03Bi" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="DEBUGGABLE_DEVICE" value="xiaomi-redmi_k30i_5g-e8d005a" />
    <property name="DEBUGGABLE_PROCESS" value="com.maniu.h265toupinpush" />
    <property name="DEBUGGER_ID" value="Auto" />
    <property name="DeviceAndSnapshotComboBoxAction.selectedDevice" value="e8d005a" />
    <property name="DeviceAndSnapshotComboBoxAction.selectionTime" value="2020-12-17T11:52:16.969Z" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHOW_ALL_PROCESSES" value="false" />
    <property name="android.sdk.path" value="$USER_HOME$/AppData/Local/Android/Sdk" />
    <property name="last_opened_file_path" value="$USER_HOME$/Desktop" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.maniu.h265toupinpush" />
    </key>
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="e0229107-7691-407d-aa9f-10932576eeaf" name="Default Changelist" comment="" />
      <created>1608205594974</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1608205594974</updated>
    </task>
    <servers />
  </component>
  <component name="WindowStateProjectService">
    <state x="392" y="50" key="#com.intellij.ide.util.MemberChooser" timestamp="1608211377928">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="392" y="50" key="#com.intellij.ide.util.MemberChooser/1920.0.1920.1020/0.0.1280.680@0.0.1280.680" timestamp="1608211377928" />
    <state x="442" y="99" key="AndroidProcessChooserDialog" timestamp="1608213181994">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="442" y="99" key="AndroidProcessChooserDialog/1920.0.1920.1020/0.0.1280.680@0.0.1280.680" timestamp="1608213181994" />
    <state x="367" y="74" key="FileChooserDialogImpl" timestamp="1608211511542">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="367" y="74" key="FileChooserDialogImpl/1920.0.1920.1020/0.0.1280.680@0.0.1280.680" timestamp="1608211511542" />
    <state width="1064" height="184" key="GridCell.Tab.0.bottom" timestamp="1608213182239">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="1064" height="184" key="GridCell.Tab.0.bottom/1920.0.1920.1020/0.0.1280.680@0.0.1280.680" timestamp="1608213182239" />
    <state width="1064" height="184" key="GridCell.Tab.0.center" timestamp="1608213182239">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="1064" height="184" key="GridCell.Tab.0.center/1920.0.1920.1020/0.0.1280.680@0.0.1280.680" timestamp="1608213182239" />
    <state width="1064" height="184" key="GridCell.Tab.0.left" timestamp="1608213182238">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="1064" height="184" key="GridCell.Tab.0.left/1920.0.1920.1020/0.0.1280.680@0.0.1280.680" timestamp="1608213182238" />
    <state width="1064" height="184" key="GridCell.Tab.0.right" timestamp="1608213182239">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="1064" height="184" key="GridCell.Tab.0.right/1920.0.1920.1020/0.0.1280.680@0.0.1280.680" timestamp="1608213182239" />
    <state width="1064" height="184" key="GridCell.Tab.1.bottom" timestamp="1608213183418">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="1064" height="184" key="GridCell.Tab.1.bottom/1920.0.1920.1020/0.0.1280.680@0.0.1280.680" timestamp="1608213183418" />
    <state width="1064" height="184" key="GridCell.Tab.1.center" timestamp="1608213183418">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="1064" height="184" key="GridCell.Tab.1.center/1920.0.1920.1020/0.0.1280.680@0.0.1280.680" timestamp="1608213183418" />
    <state width="1064" height="184" key="GridCell.Tab.1.left" timestamp="1608213183418">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="1064" height="184" key="GridCell.Tab.1.left/1920.0.1920.1020/0.0.1280.680@0.0.1280.680" timestamp="1608213183418" />
    <state width="1064" height="184" key="GridCell.Tab.1.right" timestamp="1608213183418">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="1064" height="184" key="GridCell.Tab.1.right/1920.0.1920.1020/0.0.1280.680@0.0.1280.680" timestamp="1608213183418" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/maniu/h265toupinpush/SocketLive.java</url>
          <line>63</line>
          <option name="timeStamp" value="1" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>